AbstractBindingFactory (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.binding

## Class AbstractBindingFactory

- java.lang.Object
- - org.apache.cxf.binding.AbstractBindingFactory

- All Implemented Interfaces:
    `BindingFactory`

      public abstract class AbstractBindingFactory
      extends Object
      implements BindingFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Collection<String>` | `activationNamespaces` |
    `protected Bus` | `bus` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractBindingFactory()` |
    `AbstractBindingFactory​(Collection<String> ns)` |
    `AbstractBindingFactory​(Bus b)` |
    `AbstractBindingFactory​(Bus b, Collection<String> ns)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(Destination d, Endpoint e)` | Set the destination's message observer which is created by using the endpoint to listen the incoming message
    `BindingInfo` | `createBindingInfo​(ServiceInfo service, String namespace, Object config)` | Creates a "default" BindingInfo object for the service.
    `BindingInfo` | `createBindingInfo​(Service service, String namespace, Object config)` | Creates a "default" BindingInfo object for the service.
    `Collection<String>` | `getActivationNamespaces()` |
    `Bus` | `getBus()` |
    `void` | `setActivationNamespaces​(Collection<String> activationNamespaces)` |
    `void` | `setBus​(Bus bus)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.binding.BindingFactory

      `createBinding`

- - ### Field Detail

    - #### activationNamespaces

          protected Collection<String> activationNamespaces

    - #### bus

          protected Bus bus

  - ### Constructor Detail

    - #### AbstractBindingFactory

          public AbstractBindingFactory()

    - #### AbstractBindingFactory

          public AbstractBindingFactory​(Collection<String> ns)

    - #### AbstractBindingFactory

          public AbstractBindingFactory​(Bus b)

    - #### AbstractBindingFactory

          public AbstractBindingFactory​(Bus b,
                                        Collection<String> ns)

  - ### Method Detail

    - #### createBindingInfo

          public BindingInfo createBindingInfo​(ServiceInfo service,
                                               String namespace,
                                               Object config)

      Creates a "default" BindingInfo object for the service. Called by createBindingInfo(Service service, String binding, Object config) to actually create the BindingInfo. Can return a subclass which can then process the extensors within the subclass.

    - #### createBindingInfo

          public BindingInfo createBindingInfo​(Service service,
                                               String namespace,
                                               Object config)

      Creates a "default" BindingInfo object for the service. Can return a subclass which can then process the extensors within the subclass. By default, just creates it for the first ServiceInfo in the service
      Specified by:
        `createBindingInfo` in interface `BindingFactory`
        `config` - - binding specific configuration object
      Returns:
        the BindingInfo object

    - #### addListener

          public void addListener​(Destination d,
                                  Endpoint e)

      Description copied from interface: `BindingFactory`
      Set the destination's message observer which is created by using the endpoint to listen the incoming message
      Specified by:
        `addListener` in interface `BindingFactory`
      Parameters:
        `d` - the destination that will be set the MessageObserver
        `e` - the endpoint to build up the MessageObserver

    - #### getBus

          public Bus getBus()

    - #### setBus

          public void setBus​(Bus bus)

    - #### getActivationNamespaces

          public Collection<String> getActivationNamespaces()

    - #### setActivationNamespaces

          public void setActivationNamespaces​(Collection<String> activationNamespaces)